Author jessembacon
Recipients eric.smith, jessembacon
Date 2019-06-12.15:18:13
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1560352694.1.0.536594542137.issue37241@roundup.psfhosted.org>
In-reply-to
Content
I am missing keys, when extracting the data back out with todays NVD pull.
---------------------------------------------------------------------------
KeyError                                  Traceback (most recent call last)
~/anaconda3/lib/python3.6/shelve.py in __getitem__(self, key)
    110         try:
--> 111             value = self.cache[key]
    112         except KeyError:

KeyError: 'CVE-2019-1842'

During handling of the above exception, another exception occurred:

KeyError                                  Traceback (most recent call last)
<ipython-input-62-aeb8a14b4774> in <module>
      1 results = []
      2 for x in raw_cves:
----> 3     results.append(db[x])

~/anaconda3/lib/python3.6/shelve.py in __getitem__(self, key)
    111             value = self.cache[key]
    112         except KeyError:
--> 113             f = BytesIO(self.dict[key.encode(self.keyencoding)])
    114             value = Unpickler(f).load()
    115             if self.writeback:

KeyError: b'CVE-2019-1842'
History
Date User Action Args
2019-06-12 15:18:14jessembaconsetrecipients: + jessembacon, eric.smith
2019-06-12 15:18:14jessembaconsetmessageid: <1560352694.1.0.536594542137.issue37241@roundup.psfhosted.org>
2019-06-12 15:18:14jessembaconlinkissue37241 messages
2019-06-12 15:18:13jessembaconcreate